##### 7.5.10.0. Qso3Casimir

Procedure from library `ncalg.lib` (see ncalg_lib).

Usage:
  Qso3Casimir(n [,m]), n an integer, m an optional integer

Return:
  list (of polynomials)

Purpose:
  compute the Casimir (central) elements of U_q(so_3) for the quantum parameter specialized at the n-th root of unity; if m!=0 is given, polynomials will be normalized

Assume:
  the basering must be U_q(so_3)

Example:

    LIB "ncalg.lib";
    def R = makeQso3(5);
    setring R;
    list C = Qso3Casimir(5);
    C;
    ==> [1]:
    ==>    1/5*x5+(1/5Q3-1/5Q2+2/5)*x3+(1/5Q3-1/5Q2+1/5)*x
    ==> [2]:
    ==>    1/5*y5+(1/5Q3-1/5Q2+2/5)*y3+(1/5Q3-1/5Q2+1/5)*y
    ==> [3]:
    ==>    1/5*z5+(1/5Q3-1/5Q2+2/5)*z3+(1/5Q3-1/5Q2+1/5)*z
    list Cnorm = Qso3Casimir(5,1);
    Cnorm;
    ==> [1]:
    ==>    x5+(Q3-Q2+2)*x3+(Q3-Q2+1)*x
    ==> [2]:
    ==>    y5+(Q3-Q2+2)*y3+(Q3-Q2+1)*y
    ==> [3]:
    ==>    z5+(Q3-Q2+2)*z3+(Q3-Q2+1)*z

See also: makeQso3.

User manual for Singular version 4.4.1, 2025, generated by texi2html.